Bug 5759 - We need to add folder-red icon to avoid fallback to Oxygen icon in KDE
: We need to add folder-red icon to avoid fallback to Oxygen icon in KDE
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-12 12:31 MSD by Andrey Bondrov
Modified: 2015-06-16 11:12 MSD (History)
2 users (show)

See Also:
RPM Package: rosa-icons
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-06-12 12:31:20 MSD
We need to add folder-red icon to avoid fallback to Oxygen icon in KF5-based applications. KDE4-based applications use folder icon when folder-red icon is missing. So let's symlink folder.svg to folder-red.svg.
Comment 1 Andrey Bondrov 2015-06-12 12:33:05 MSD
Advisory: "Add folder-red icon to avoid fallback to Oxygen icon in KDE"

https://abf.rosalinux.ru/build_lists/2509389
https://abf.rosalinux.ru/build_lists/2509390

Unfortunately, it requires to clean icon cache for both user and root to apply this update. When icon cache is not cleaned, old folder-red icon from Oxygen theme is used. We can do nothing with it.
Comment 2 Vladimir Potapov 2015-06-12 19:57:59 MSD
How to clear icon cache? I delete KDE-cache on /var/tmp but don't see any changes
Comment 3 Andrey Bondrov 2015-06-13 03:04:27 MSD
(In reply to comment #2)
> How to clear icon cache? I delete KDE-cache on /var/tmp but don't see any
> changes

I guess you need to delete these files:

KF5: ~/.cache/icon-cache.kcache
KDE4: ~/.kde4/cache-mandriva/icon-cache.kcache
Comment 4 Andrey Bondrov 2015-06-13 03:05:24 MSD
(In reply to comment #3)
> (In reply to comment #2)
> > How to clear icon cache? I delete KDE-cache on /var/tmp but don't see any
> > changes
> 
> I guess you need to delete these files:
> 
> KF5: ~/.cache/icon-cache.kcache
> KDE4: ~/.kde4/cache-mandriva/icon-cache.kcache

KDE4: ~/.kde4/cache-*/icon-cache.kcache

mandriva is my host name.
Comment 5 Vladimir Potapov 2015-06-15 11:30:29 MSD
The update is sent to expanded testing
****************************************
Comment 6 Vladimir Potapov 2015-06-16 10:12:14 MSD
rosa-icons-1.1.5-2
https://abf.rosalinux.ru/build_lists/2509389
https://abf.rosalinux.ru/build_lists/2509390
****************************** Advisory ****************************
Add folder-red icon to avoid fallback to Oxygen icon in KDE
********************************************************************
QA Verified